[pve-devel] [PATCH kernel v2 1/2] debian/scripts: add patchqueue scripts

Fabian Grünbichler f.gruenbichler at proxmox.com
Thu Apr 12 14:07:57 CEST 2018


Signed-off-by: Fabian Grünbichler <f.gruenbichler at proxmox.com>
---
 debian/scripts/export-patchqueue | 33 +++++++++++++++++++++++++++++++++
 debian/scripts/import-patchqueue | 29 +++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)
 create mode 100755 debian/scripts/export-patchqueue
 create mode 100755 debian/scripts/import-patchqueue

diff --git a/debian/scripts/export-patchqueue b/debian/scripts/export-patchqueue
new file mode 100755
index 0000000..7c92448
--- /dev/null
+++ b/debian/scripts/export-patchqueue
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+set -e
+
+top=$(pwd)
+
+if [ "$#" -ne 3 ]; then
+    echo "USAGE: $0 repo patchdir ref"
+    echo "\t exports patches from 'repo' to 'patchdir' based on 'ref'"
+    exit 1
+fi
+
+# parameters
+kernel_submodule=$1
+kernel_patchdir=$2
+base_ref=$3
+
+cd "${kernel_submodule}"
+echo "clearing old exported patchqueue"
+rm -f "${top}/${kernel_patchdir}"/*.patch
+echo "exporting patchqueue using 'git format-patch [...] ${base_ref}.."
+git format-patch \
+    --quiet \
+    --no-numbered \
+    --no-cover-letter \
+    --zero-commit \
+    --output-dir \
+    "${top}/${kernel_patchdir}" \
+    "${base_ref}.."
+
+git checkout ${base_ref}
+
+cd "${top}"
diff --git a/debian/scripts/import-patchqueue b/debian/scripts/import-patchqueue
new file mode 100755
index 0000000..54b123c
--- /dev/null
+++ b/debian/scripts/import-patchqueue
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+top=$(pwd)
+
+if [[ "$#" -lt 2 || "$#" -gt 3 ]]; then
+    echo "USAGE: $0 repo patchdir [branch]"
+    echo "\t imports patches from 'patchdir' into patchqueue branch 'branch' in 'repo'"
+    exit 1
+fi
+
+
+# parameters
+kernel_submodule=$1
+kernel_patchdir=$2
+if [[ -z "$3" ]]; then
+    pq_branch='pq'
+else
+    pq_branch=$3
+fi
+
+cd "${kernel_submodule}"
+echo "creating patchqeueue branch '${pq_branch}'"
+git checkout -b "${pq_branch}"
+echo "importing patches from '${kernel_patchdir}'"
+git am "${top}/${kernel_patchdir}"/*.patch
+
+cd "${top}"
-- 
2.14.2





More information about the pve-devel mailing list